import request from '@/utils/request'

// 查询质量月报S0501列表
export function listS0501Month(query) {
  return request({
    url: '/production/s0501/listMonth',
    method: 'get',
    params: query
  })
}

// 查询质量月报S0501列表
export function listS0501(query) {
  return request({
    url: '/production/s0501/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S0501详细
export function getS0501(id) {
  return request({
    url: '/production/s0501/' + id,
    method: 'get'
  })
}

// 新增质量月报S0501
export function addS0501(data) {
  return request({
    url: '/production/s0501',
    method: 'post',
    data: data
  })
}

// 修改质量月报S0501
export function updateS0501(data) {
  return request({
    url: '/production/s0501',
    method: 'put',
    data: data
  })
}

// 删除质量月报S0501
export function delS0501(id) {
  return request({
    url: '/production/s0501/' + id,
    method: 'delete'
  })
}

// 导出质量月报S0501
export function exportS0501(query) {
  return request({
    url: '/production/s0501/export',
    method: 'get',
    params: query
  })
}
